<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $cfg_soft_lang; ?>" />
<title><?php echo $cfg_webname; ?>- 会员注册</title>
<meta name="keywords" content="免费,日记,心情日记,网络日记,免费日记,隐私日记,交换日记,粉可爱留言本、日记本申请">
<link href="templets/style/login.css" rel="stylesheet" type="text/css" />
<link href="/templets/default/diary/css.css" rel="stylesheet" type="text/css">
<script src="/templets/default/diary/alt.js"></script>
<script src="templets/js/j.js" language="javascript" type="text/javascript"></script>
<script src="templets/js/base.js" language="javascript" type="text/javascript"></script>
<script src='templets/js/CheckPassStrength.js' type="text/javascript" language="javascript"></script>
<script language="JavaScript">
 function IsChar(s)
{ 
 var username = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_";
 for (i = 0; i < s.length;i++)
    {
        var c = s.charAt(i);
        if (username.indexOf(c) == -1) return false;
    }
 return true;
}
function CheckForm()
{
    if (document.regform.userid.value.length <3 || document.regform.userid.value.length >20) {
		alert("注册账号名必须大于3个字符或小于20个英文数字字符.");
		document.regform.userid.focus();
		return false;
	}
	 if (!IsChar(document.regform.userid.value)){
        alert("注册账号名只能输入英文及数字，请不要输入中文及其他字符！");
  		document.regform.userid.focus();
		return false;
}
	if (document.regform.uname.value.length ==0) {
		alert("请输笔名.");
		document.regform.uname.focus();
		return false;
	}

    if (document.regform.userpwd.value.length == 0) {
		alert("请输入你的密码.");
		document.regform.userpwd.focus();
		return false;
	}

    if (document.regform.userpwd.value != document.regform.userpwdok.value) {
		alert("两次输入密码不相同.");
		document.regform.userpwd.focus();
		return false;
	}
	
	if (document.regform.spacename.value.length ==0) {
		alert("请输日记本名.");
		document.regform.spacename.focus();
		return false;
	}
	
	if (document.regform.email.value.length == 0) {
		alert("请输入邮箱地址.");
		document.regform.email.focus();
		return false;
	}
		if (document.regform.lovemsg.value.length <2 || document.regform.lovemsg.value.length >60) {
		alert("日记公告:不要少于2或多于50位");
		document.regform.lovemsg.focus();
		return false;
	}
	if (document.regform.spacenews.value.length <2 || document.regform.spacenews.value.length >60) {
		alert("日记公告:不要少于2或多于50位");
		document.regform.spacenews.focus();
		return false;
	} 
    if (document.regform.sign.value.length <2 || document.regform.sign.value.length >50) {
		alert("日记首语不要少于2或多于50位.");
		document.regform.sign.focus();
		return false;
	} 
		if (document.regform.vdcode.value.length == 0) {
		alert("请输入验证码.");
		document.regform.vdcode.focus();
		return false;
	}
}
</script>

<script language="javascript">
	function SwitchCover(nCover,nBookID,sImageType)
	{
		if(nCover==-1)
			regform.preview.src=""+nBookID+"."+sImageType
		else
			regform.preview.src=""+nCover+""
	}
	function UploadCover(sPath)
	{
		preview.src=sPath
	}
	function SetCurrentCover(nCover)
	{
		bookcover=document.all("bookcover")
		for(var i=0;i<bookcover.options.length;i++)
		{
			if(bookcover(i).value==nCover)
			{
				bookcover(i).selected=true;
				return;
			}
		}
	}
	
</script>
<script type="text/javascript" language="javascript">
<!--
var reMethod = "<?php echo ($cfg_soft_lang == 'utf-8') ? 'POST' : 'GET';?>",pwdmin = <?php echo $cfg_mb_pwdmin; ?>;

function changeAuthCode() {
	var num = 	new Date().getTime();
	var rand = Math.round(Math.random() * 10000);
	num = num + rand;
	$('#ver_code').css('visibility','visible');
	if ($("#vdimgck")[0]) {
		$("#vdimgck")[0].src = "../include/vdimgck.php?tag=" + num;
	}
	return false;	
}

function hideVc()
{
	$('#ver_code').css('visibility','hidden');
}


$(document).ready(function(){ 
	$("#passwordLevel").removeClass().addClass("rank r0");
	$("#vdcode").focus(function(){
	  var leftpos = $("#vdcode").position().left;
	  var toppos = $("#vdcode").position().top - 42;
	  $('#ver_code').css('left', leftpos+'px');
	  $('#ver_code').css('top', toppos+'px');
	  $('#ver_code').css('visibility','visible');
	});
	$("input[type='password']").click(function(){
	  hideVc()
	});
	$("#txtUsername").click(function(){
	  hideVc()
	});
	$("input[type='radio']").focus(function(){
	  hideVc()
	});
	/*
	$("#vdcode").blur(function(){
		  $('#ver_code').css('visibility','hidden');
	});
	*/
})

-->
</script>
</head>
<body background="<?php echo $cfg_templets_skin; ?>/<?php echo $cfg_zzzsitebg; ?>" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0">
<form method="post" action="reg_new.php" id="regUser" name="regform" onSubmit="return CheckForm()">
<table width="985" border="0" cellspacing="0" cellpadding="0" align="center" style="margin:0 auto;">
  <tr> 
    <td> <?php include(DEDETEMPLATE."/default/head.htm"); ?>
      <table width="985" border="0" cellspacing="0" cellpadding="0" height="452">
        <tr> 
          <td width="20">&nbsp;</td>
          <td height="452" background="/templets/default/diary/bg1.gif" width="703"> 
            <table width="703" border="0" cellspacing="0" cellpadding="0" height="452">
              <tr> 
                <td height="5" width="56"></td>
                <td width="288"></td>
                <td rowspan="3" width="21"></td>
                <td width="284"></td>
                <td width="57"></td>
              </tr>
              <tr> 
                <td height="380" width="56">&nbsp;</td>
                <td width="288">
                  <table border="0" width="100%" id="table6" cellspacing="0" cellpadding="0" height="100%">
                    <tr> 
                      <td height="60">&nbsp; <img border="0" src="/templets/default/diary/reg2.gif" width="252" height="60"></td>
                    </tr>
                    <tr> 
                      <td height="208"> 
                        <p align="center"> <img id="preview" src="/templets/default/diary/img/01.jpg" width="271" height="209">
                      </td>
                    </tr>
                    <tr>
                        <td height="19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font color="#774212"> <b>日记首语:</b></font>&nbsp;<input type="checkbox" checked="" value="" id="agree" name="agree" style="vertical-align:middle;display:none" />
          </td>
                    </tr>
                    <tr> 
                      <td> 
                        <p align="center"> <textarea id="sign"  name="sign" style="width:230px;height:60px;">暂未修改</textarea></p>
<div style="display:none;width:95%;height:80px;OVERFLOW-Y: auto; OVERFLOW-X:hidden;margin:0 0 0 5px;">
日记人·注册前的话·都是心里话:)<br>
一、 【日记人www.rijiren.com】日记人、爱生活，日日记心情。欢迎您记录人生足迹。<br>
二、 日记人不会有很多丰富的功能，但是会提供贴心的服务。这里不是新浪不是QQ，只是网络上一个安静的角落。你可以自由存放心情、日记，若干年后想起来，依然还在。<br>
三、 虽然日记人崇尚自由，也提倡自由服务。但还是提醒日记主人们好好爱惜，不要发布或散布非法的信息。<br>
四、 人生有很多故事；人生有很多轨迹；日记人希望你能好好记录，那会是你人生的财富。<br>
五、 既然是财富，不管是开心的还是伤心的；不管记载的是苦难还是幸福，日记人都希望你不要随意删除这些日记。因为那是财富。<br>
六、 日记人本着自由、公益的精神，免费提供日记服务，包括整个日记人源程序都是免费开放与共享的，如果你愿意也可以用日记人建设日记网站<br>
七、 祝您在日记人使用愉快！
</div>
                      </td>
                    </tr>
                  </table>
                </td>
                <td>
            <table border="0" width="284" id="table8" cellspacing="0" cellpadding="0" height="366">
              <tr> 
                <td width="19">　</td>
                <td width="74">　</td>
                <td width="191"> 　</td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">注册账户:</font></b></td>
                <td width="191"> 
<input name="userid" type="text" id="userid" size="18" maxlength="20"><a href="#" title="【账户名仅限3到20位的英文数字】" onclick="alert('【账户名仅限3到20位的英文数字】');"><font color="#FF0000">*注意</font></a><input type="hidden" name="mtype" value="个人" checked/>      <input type="hidden" value="regbase" name="dopost"/>
      <input type="hidden" value="1" name="step"/>
                  </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">注册笔名:</font></b></td>
                <td width="191"> 
<input name="uname" type="text" id="uname" size="18" maxlength="20">
                  </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">用户性别:</font></b></td>
                <td width="191"> &nbsp;男生<input name="sex" type="radio" value="boy" checked>
                  &nbsp; 女士<input type="radio" name="sex" value="girl">          
                </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">用户密码:</font></b></td>
                <td width="191"> 
                  <input name="userpwd" type="password" id="userpwd" size="18" maxlength="20" onkeyup="setPasswordLevel(this, document.getElementById('passwordLevel'));"><a href="#" title="【限3到20位】" onclick="alert('【限3到20位】');"><font color="#FF0000">*注意</font></a>
                  </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">确定密码:</font></b></td>
                <td width="191"> 
                  <input name="userpwdok" type="password" id="userpwdok" size="18" maxlength="20">
                  </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">密码强度:</font></b></td>
                <td width="191"> 
                  <input id="passwordLevel" class="rank r0" disabled="disabled" name="Input"/></td>
              </tr>
			  <tr> 
                <td width="19">　</td>
                <td width="74"><b><font color="#77520A">注册邮箱:</font></b></td>
                <td width="191"> 
                  <input name="email" type="text" id="email" size="18" maxlength="30">
                </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">日记本名:</font></b></td>
                <td width="191"> 
 <input name="spacename" type="text" id="spacename" size="18" maxlength="12"><a href="#" title="【限1到12位】" onclick="alert('【限1到12位】');"><font color="#FF0000">*注意</font></a></td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td width="74"><b><font color="#77520A">日记封面:</font></b></td>
                <td width="191"> 
                  <select name="spacelogo" class="input" id="spacelogo" style="width:120px" onChange="SwitchCover(this.value,6913,'jpg')">
                    <option value="/templets/default/diary/img/01.jpg">图 片 1</option>
                    <option value="/templets/default/diary/img/02.jpg">图 片 2</option>
                    <option value="/templets/default/diary/img/03.jpg">图 片 3</option>
                    <option value="/templets/default/diary/img/04.jpg">图 片 4</option>
                    <option value="/templets/default/diary/img/05.jpg">图 片 5</option>
                    <option value="/templets/default/diary/img/06.jpg">图 片 6</option>
                    <option value="/templets/default/diary/img/07.jpg">图 片 7</option>
                    <option value="/templets/default/diary/img/08.jpg">图 片 8</option>
                    <option value="/templets/default/diary/img/09.jpg">图 片 9</option>
                    <option value="/templets/default/diary/img/10.jpg">图 片 10</option>
                    <option value="/templets/default/diary/img/11.jpg">图 片 11</option>
                    <option value="/templets/default/diary/img/12.jpg">图 片 12</option>
                    <option value="/templets/default/diary/img/13.jpg">图 片 13</option>
                    <option value="/templets/default/diary/img/14.jpg">图 片 14</option>
                    <option value="/templets/default/diary/img/15.jpg">图 片 15</option>
                    <option value="/templets/default/diary/img/16.jpg">图 片 16</option>
                    <option value="/templets/default/diary/img/17.jpg">图 片 17</option>
                    <option value="/templets/default/diary/img/18.jpg">图 片 18</option>
                    <option value="/templets/default/diary/img/19.jpg">图 片 19</option>
                    <option value="/templets/default/diary/img/20.jpg">图 片 20</option>
                    <option value="/templets/default/diary/img/21.jpg">图 片 21</option>
                    <option value="/templets/default/diary/img/22.jpg">图 片 22</option>
                    <option value="/templets/default/diary/img/23.jpg">图 片 23</option>
                    <option value="/templets/default/diary/img/24.jpg">图 片 24</option>
                    <option value="/templets/default/diary/img/25.jpg">图 片 25</option>
                    <option value="/templets/default/diary/img/26.jpg">图 片 26</option>
                    <option value="/templets/default/diary/img/27.jpg">图 片 27</option>
                    <option value="/templets/default/diary/img/28.jpg">图 片 28</option>
                    <option value="/templets/default/diary/img/29.jpg">图 片 29</option>
                    <option value="/templets/default/diary/img/30.jpg">图 片 30</option>
                    <option value="/templets/default/diary/img/31.jpg">图 片 31</option>
                    <option value="/templets/default/diary/img/32.jpg">图 片 32</option>
                    <option value="/templets/default/diary/img/33.jpg">图 片 33</option>
                    <option value="/templets/default/diary/img/34.jpg">图 片 34</option>
                    <option value="/templets/default/diary/img/35.jpg">图 片 35</option>
                    <option value="/templets/default/diary/img/36.jpg">图 片 36</option>
                  </select>
</td>
              </tr>
			                <tr> 
                <td width="19" height="20">&nbsp;</td>
<td colspan="2"><b><font color="#77520A">个性说明:</font></b><a href="#" title="【不超过52位】" onclick="alert('【不超过52位】');"><font color="#FF0000">*注意</font></a> 
                </td>
              </tr>
              <tr> 
                <td width="19">　</td>
                <td colspan="2">
                  <textarea name="lovemsg" id="lovemsg"  style="width:230px;height:30px;">写自己的日记 让别人后悔去</textarea>
                </td>
              </tr>
              <tr> 
                <td width="19" height="20">　</td>
                <td colspan="2" valign="bottom"><b><font color="#77520A">日记公告:</font></b><a href="#" title="【不超过60位】" onclick="alert('【不超过60位】');"><font color="#FF0000">*注意</font></a> 
                </td>
              </tr>
              <tr> 
                <td width="19">　</td>
                <td colspan="2">
                  <textarea name="spacenews"  style="width:230px;height:30px;">暂无内容</textarea>
                </td>
              </tr>
              <tr style="display:none"> 
                <td width="19">　</td>
                <td width="74"><b><font color="#77520A">安全问题:</font></b></td>
                <td width="191"> 
                  <?php
            require(DEDEDATA.'/safequestions.php');
            echo GetSafequestion(0,'safequestion');
            ?>
                </td>
              </tr>
              <tr style="display:none"> 
                <td width="19">　</td>
                <td width="74"><b><font color="#77520A">问题答案:</font></b></td>
                <td width="191"> 
                  <input name="safeanswer" type="text" id="safeanswer" size="18" maxlength="12">
                </td>
              </tr>	
<?php
            if(preg_match("/1/",$safe_gdopen)){
          ?>
              <tr> 
                <td width="19">　</td>
                <td width="74"><b><font color="#77520A">　验证码:</font></b></td>
                <td width="191"> 
<input type="text" style="width:40px;text-transform: uppercase" id="vdcode" name="vdcode" /><img id="vdimgck" align="absmiddle" onclick="this.src=this.src+'?'" style="cursor: pointer;" alt="看不清？点击更换" src="../include/vdimgck.php"/>看不清?<a href="javascript:void(0)" onclick="changeAuthCode();">换!</a>
                </td>
              </tr>		
<?php }?>			  
              <tr> 
                <td colspan="3"> 
                  <p align="center"> 
                    <input type="image" src="/templets/default/diary/zc.gif" name="Submit" value=" 提 交 ">
                    &nbsp;&nbsp; <a href="/"> <img border="0" src="/templets/default/diary/fq.gif" width="50" height="23"></a> 
                </td>
              </tr>
            </table>
                </td>
                <td>&nbsp;</td>
              </tr>
              <tr> 
                <td height="67">&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </table>
          </td>
          <td width="272"> 
<?php include(DEDETEMPLATE."/default/right_kong.htm"); ?> 
          </td>
        </tr>
      </table>
<?php include(DEDETEMPLATE."/default/footer.htm"); ?> 
    </td>
  </tr>
  <tr> 
    <td></td>
  </tr>
</table></form>
</body>
</html>